Add the list of supported browsers to docs and drop support for IE 11
Assignee: Marius BĂLTEANU % Done: 0%

Category: Documentation Estimated time: 0.00 hour
Description

Beginning August 17, 2021, the remaining Microsoft 365 apps and services will no longer support IE 11. Microsoft Teams already

ended support. More details here.

It's time to drop support for IE11 and supports only Microsoft Edge (Chromium version)

Related issues:

Related to Redmine - Defect #34841: URL encoding to pass arguments is broken ... Closed

Related to Redmine - Defect #10328: Issue custom field is too narrow in IE 8.... Closed

Related to Redmine - Defect #16895: Can't verify CSRF token authenticity on I... Closed

Related to Redmine - Patch #38228: Remove X-UA-Compatible meta tag for Intern... Closed

Related to Redmine - Defect #33240: Issue subjects in gantt are broken in Int... Closed

Related to Redmine - Defect #8370: side by side revsion split is not at mid p... Closed 2011-05-13

Associated revisions

Revision 21478 - 2022-03-20 22:20 - Marius BĂLTEANU

Add supported browsers to doc/INSTALL (#34978).

Patch by Go MAEDA.

Revision 21479 - 2022-03-20 22:21 - Marius BĂLTEANU

Add Chromium to the list of supported browsers (#34978).

History

#1 - 2021-03-28 19:49 - Marius BĂLTEANU

I've assigned this to 5.0.0 for feedback.

#2 - 2021-03-29 02:40 - Go MAEDA

I think it is too early to end support for Internet Explorer 11 because not a few people are accessing Redmine with IE11.

I just grep'd our company's Redmine hosting access log and found that 15% of the accesses last week were using Internet Explorer. I don't think 15%

is a small percentage.

I am not against ending support for IE11, but I think we should continue to support it at least until August. If Redmine 5.0.0 will be released by August,

then the target version of this issue should not be 5.0.0.

#3 - 2021-04-03 08:17 - Marius BĂLTEANU

Most of the well know platforms already ended support for IE (Github, Gitlab, Jira, Gmail, etc) and the fact that Microsoft ends the support this

summer it should be a good reason to encourage those 15% users that it's time to upgrade their browser. Also, running such a old browser could be a

security issue in the coming months.

Also, I don't think that Redmine 5.0.0 will be released sooner than this autumn (6 months from 4.2.0) so maybe it's better to drop the old code now

when we already do a lot of updates for Rails 6.1 and Ruby 3.0.

Please reconsider this.

#4 - 2021-04-03 08:43 - Go MAEDA

Marius BALTEANU wrote:
https://techcommunity.microsoft.com/t5/microsoft-365-blog/microsoft-365-apps-say-farewell-to-internet-explorer-11-and/ba-p/1591666#:~:text=Today%2C%20we're%20announcing%20that,no%20longer%20support%20IE%2011
https://www.redmine.org/versions/155


Also, I don't think that Redmine 5.0.0 will be released sooner than this autumn (6 months from 4.2.0) so maybe it's better to drop the old code

now when we already do a lot of updates for Rails 6.1 and Ruby 3.0.

 I am in favor of dropping support for Internet Explorer 11 in Redmine 5.0.0 and start removing code for IE11 now, if Redmine 5.0.0 will not be

released before August.

#5 - 2021-04-03 11:43 - Pavel Rosický

for those who still rely on Internet Explorer 11 (even if I don't understand why), they should stay on Redmine 4.x or use a modern browser, even the

legacy version of Edge (released 6 years ago) is much better.

I think a major version of Redmine is a good time to drop support of IE11 and a month or two of remaining official maintenance/security support by

Microsoft shouldn't be a reason to wait.

15% seems to be a lot are you sure you don't count Edge users? It's ~2% on https://gs.statcounter.com/browser-market-share/desktop/worldwide and

still dropping.

#6 - 2021-04-04 02:07 - Go MAEDA

Pavel Rosický wrote:

15% seems to be a lot are you sure you don't count Edge users? It's ~2% on 

https://gs.statcounter.com/browser-market-share/desktop/worldwide and still dropping.

 I counted user agents that contain "Trident", so accesses from Edge browsers are excluded. I don't think 15% is a strange number. This is because

Internet Explorer has a higher share in Japan and many of them are enterprise users. Therefore, Internet Explorer tends to have a higher percentage

of access in services for businesses.

In Japan, Internet Explorer has 7% of the desktop browser market share (surprisingly, higher than Firefox!). Some companies do not allow their

employees to use browsers other than IE for compatibility with their existing information systems.

https://gs.statcounter.com/browser-market-share/desktop/japan

Ending support for Internet Explorer right now will cause a backlash from such users. However, it will be much easier to persuade them if Redmine

5.0 is released after Microsoft ends support for Internet Explorer in its own services.

So, I am in favor of dropping support for Internet Explorer 11 in Redmine 5.0.0 and start removing code for IE11 right now, if Redmine 5.0.0 will not

be released before August.

#7 - 2021-04-04 03:53 - Pavel Rosický

I see, thanks for the explanation.

#8 - 2021-04-21 10:36 - Go MAEDA

- Related to Defect #34841: URL encoding to pass arguments is broken with Edge and IE added

#9 - 2022-01-21 02:38 - Go MAEDA

Microsoft is going to end Internet Explorer after 5 months. I think we can drop the support for Internet Explorer in the trunk right now.

https://blogs.windows.com/windowsexperience/2021/05/19/the-future-of-internet-explorer-on-windows-10-is-in-microsoft-edge/

the Internet Explorer 11 desktop application will be retired and go out of support on June 15, 2022, for certain versions of Windows 10.

#10 - 2022-03-20 07:12 - Go MAEDA

- File 34978-update-doc.diff added

Let's update the document.

#11 - 2022-03-20 22:22 - Marius BĂLTEANU

- Subject changed from Drop support for IE 11 to Add the list of supported browsers to docs and drop support for IE 11

- Category set to Documentation

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed
https://gs.statcounter.com/browser-market-share/desktop/worldwide
https://gs.statcounter.com/browser-market-share/desktop/worldwide
https://gs.statcounter.com/browser-market-share/desktop/japan
https://blogs.windows.com/windowsexperience/2021/05/19/the-future-of-internet-explorer-on-windows-10-is-in-microsoft-edge/


Patch committed, thanks!

#12 - 2022-03-21 04:36 - Go MAEDA

- Related to Defect #10328: Issue custom field is too narrow in IE 8.0.6001.18702 but OK in Firefox 9.0.1  added

#13 - 2022-03-21 04:37 - Go MAEDA

- Related to Defect #16895: Can't verify CSRF token authenticity on IE9 with Alias added

#14 - 2023-01-31 01:30 - Go MAEDA

- Related to Patch #38228: Remove X-UA-Compatible meta tag for Internet Explorer added

#15 - 2023-03-27 15:22 - Go MAEDA

- Related to Defect #33240: Issue subjects in gantt are broken in Internet Explorer if the avatar server is inaccessible added

#16 - 2023-05-08 03:36 - Go MAEDA

- Related to Defect #8370: side by side revsion split is not at mid point of screen in Internet Explorer added

Files

34978-update-doc.diff 403 Bytes 2022-03-20 Go MAEDA
